package jp.co.camnet.macs.web;

import jp.co.camnet.macs.dto.UserInfoDto;

/**
 * 全画面共通 Pageクラス
 * 
 * @author matsuzaki
 * @version 1.0.0
 */
public abstract class AbstractCommonPage {

    /**
     * ログインユーザ情報
     */
    private UserInfoDto userInfoDto;

    /**
     * Getter userInfoDto
     * 
     * @return userInfoDto を戻します。
     */
    public UserInfoDto getUserInfoDto() {
        return userInfoDto;
    }

    /**
     * Setter userInfoDto
     * 
     * @param userInfoDto
     *            設定する userInfoDto。
     */
    public void setUserInfoDto(UserInfoDto userInfoDto) {
        this.userInfoDto = userInfoDto;
    }

}
