package jp.co.camnet.macs.web.login;

import jp.co.camnet.macs.dto.UserInfoDto;
import jp.co.camnet.macs.web.AbstractCommonPage;

/**
 * ログイン Pageクラス
 * 
 * @author matsuzaki
 * @version 1.0.0
 */
public class LoginPage extends AbstractCommonPage {

    /**
     * 初期処理
     * 
     * @return 遷移先画面ID
     */
    public String initialize() {
        return null;
    }

    /**
     * 描画前処理
     * 
     * @return 遷移先画面ID
     */
    public String prerender() {
        return null;
    }

    /**
     * ログインボタン クリック処理
     * 
     * @return 遷移先画面ID
     */
    public String doLogin() {
        UserInfoDto userInfoDto = getUserInfoDto();
        userInfoDto.setLoginId("hoge");

        // メニュー表示
        return "common_menuMain";
    }

}
