package jp.co.camnet.macs.web.common;

import jp.co.camnet.macs.web.AbstractCommonPage;

/**
 * メインメニュー Pageクラス
 * 
 * @author matsuzaki
 * @version 1.0.0
 */
public class MenuMainPage extends AbstractCommonPage {

    /**
     * ログインID
     */
    private String loginId;

    /**
     * Getter loginId
     * 
     * @return loginId を戻します。
     */
    public String getLoginId() {
        return loginId;
    }

    /**
     * 初期処理
     * 
     * @return 遷移先画面ID
     */
    public String initialize() {
        loginId = getUserInfoDto().getLoginId();
        return null;
    }

    /**
     * 描画前処理
     * 
     * @return 遷移先画面ID
     */
    public String prerender() {
        return null;
    }

}
